### Method

# Snapd Snap get_icon

since: 1.0

#### Declaration [src]

    const gchar*
    snapd_snap_get_icon (
      SnapdSnap* snap
    )

#### Description [src]

Get the icon for this Snap, either a URL or an absolute path to retrieve it from snapd directly.

Available since: 1.0

Gets property | `Snapd.Snap:icon`

#### Return value

Type: `const gchar*`

A URL or path.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.